package com.spring.common.error;

import lombok.Getter;

@Getter
public class BizBaseException extends RuntimeException {

    private final ErrorRule errorRule;

    public BizBaseException() {
        super(ExceptionRule.SYSTEM_ERROR.getMessage());
        this.errorRule = ExceptionRule.SYSTEM_ERROR;
    }
    
    public BizBaseException(ErrorRule exceptionRule) {
        super(exceptionRule.getMessage());
        this.errorRule = exceptionRule;
    }

}
